Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.idgenerator
Class UUIDGenerator

    java.lang.Object
      org.deegree.io.datastore.idgenerator.IdGenerator
          org.deegree.io.datastore.idgenerator.UUIDGenerator

    public class UUIDGenerator

extends IdGenerator

Primary key and `FeatureId` generator that is based on UUIDs.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.io.datastore.idgenerator.IdGenerator
`ft, params, TYPE_UUID`

Constructor Summary
`UUIDGenerator(Properties params)` Creates a new `UUIDGenerator` instance.

Method Summary
`String` | `getNewId(DatastoreTransaction ta)` Returns a new primary key.
`FeatureId` | `getNewId(MappedFeatureType ft, DatastoreTransaction ta)` Returns a new id for a feature of the given type.

Methods inherited from class org.deegree.io.datastore.idgenerator.IdGenerator
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UUIDGenerator

    public UUIDGenerator(Properties params)
                  throws IdGenerationException

  Creates a new `UUIDGenerator` instance.

  Supported configuration parameters:

  Name | optional? | Usage
  --- | --- | ---
  macAddress | yes | specify MAC address component of UUID

  Parameters:
    `params` - configuration parameters
  Throws:
    `IdGenerationException`

Method Detail

### getNewId

    public String getNewId(DatastoreTransaction ta)
                    throws IdGenerationException

  Returns a new primary key.

  Specified by:
    `getNewId` in class `IdGenerator`
  Parameters:
    `ta` - datastore transaction (context)
  Returns:
    a new primary key.
  Throws:
    `IdGenerationException` - if the generation of the id could not be performed

### getNewId

    public FeatureId getNewId(MappedFeatureType ft,
                              DatastoreTransaction ta)
                       throws IdGenerationException

  Returns a new id for a feature of the given type.

  Specified by:
    `getNewId` in class `IdGenerator`
  Parameters:
    `ft` - (mapped) feature type (irrelevant for this generator)
    `ta` - datastore transaction (context)
  Returns:
    a new feature id.
  Throws:
    `IdGenerationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org